Package com.collabnet.ce.soap60.webservices.frs

# Class FrsAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.frs.FrsAppSoapMockStub

All Implemented Interfaces:
  `IFrsAppSoap`

public class FrsAppSoapMockStub extends ClientSoapMockStub implements IFrsAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FrsAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FrsFileSoapDO`
  `createFrsFile(String sessionId, String releaseId, String fileName, String mimeType, String fileId)`
  Simulate a call to createFrsFile
  `FrsFile2SoapDO`
  `createFrsFile2(String sessionId, String releaseId, String fileName, String mimeType, String fileId)`
  Simulate a call to createFrsFile2
  `PackageSoapDO`
  `createPackage(String sessionId, String projectId, String title, String description, boolean isPublished)`
  Simulate a call to createPackage
  `ReleaseSoapDO`
  `createRelease(String sessionId, String packageId, String title, String description, String status, String maturity)`
  Simulate a call to createRelease
  `void`
  `deleteFrsFile(String sessionId, String frsFileId)`
  Simulate a call to deleteFrsFile
  `void`
  `deletePackage(String sessionId, String packageId)`
  Simulate a call to deletePackage
  `void`
  `deleteRelease(String sessionId, String releaseId)`
  Simulate a call to deleteRelease
  `ArtifactSoapList`
  `getArtifactListReportedInRelease(String sessionId, String releaseId)`
  Simulate a call to getArtifactListReportedInRelease
  `Artifact2SoapList`
  `getArtifactListReportedInRelease2(String sessionId, String releaseId)`
  Simulate a call to getArtifactListReportedInRelease2
  `ArtifactSoapList`
  `getArtifactListResolvedInRelease(String sessionId, String releaseId)`
  Simulate a call to getArtifactListResolvedInRelease
  `Artifact2SoapList`
  `getArtifactListResolvedInRelease2(String sessionId, String releaseId)`
  Simulate a call to getArtifactListResolvedInRelease2
  `FrsFileSoapDO`
  `getFrsFileData(String sessionId, String frsFileId)`
  Simulate a call to getFrsFileData
  `FrsFile2SoapDO`
  `getFrsFileData2(String sessionId, String frsFileId)`
  Simulate a call to getFrsFileData2
  `String`
  `getFrsFileId(String sessionId, String frsFileId)`
  Simulate a call to getFrsFileId
  `FrsFileSoapList`
  `getFrsFileList(String sessionId, String releaseId)`
  Simulate a call to getFrsFileList
  `FrsFile2SoapList`
  `getFrsFileList2(String sessionId, String releaseId)`
  Simulate a call to getFrsFileList2
  `PackageSoapDO`
  `getPackageData(String sessionId, String packageId)`
  Simulate a call to getPackageData
  `PackageSoapList`
  `getPackageList(String sessionId, String projectId)`
  Simulate a call to getPackageList
  `ReleaseSoapDO`
  `getReleaseData(String sessionId, String releaseId)`
  Simulate a call to getReleaseData
  `ReleaseSoapList`
  `getReleaseList(String sessionId, String packageId)`
  Simulate a call to getReleaseList
  `void`
  `prepareCreateFrsFile(String sessionId, String releaseId, String fileName, String mimeType, String fileId, Object returnValue)`
  Prepare a simulated response to createFrsFile
  `void`
  `prepareCreatePackage(String sessionId, String projectId, String title, String description, boolean isPublished, Object returnValue)`
  Prepare a simulated response to createPackage
  `void`
  `prepareCreateRelease(String sessionId, String packageId, String title, String description, String status, String maturity, Object returnValue)`
  Prepare a simulated response to createRelease
  `void`
  `prepareDeleteFrsFile(String sessionId, String frsFileId)`
  Prepare a simulated response to deleteFrsFile
  `void`
  `prepareDeleteFrsFile(String sessionId, String frsFileId, Exception exception)`
  Prepare a simulated response to deleteFrsFile
  `void`
  `prepareDeletePackage(String sessionId, String packageId)`
  Prepare a simulated response to deletePackage
  `void`
  `prepareDeletePackage(String sessionId, String packageId, Exception exception)`
  Prepare a simulated response to deletePackage
  `void`
  `prepareDeleteRelease(String sessionId, String releaseId)`
  Prepare a simulated response to deleteRelease
  `void`
  `prepareDeleteRelease(String sessionId, String releaseId, Exception exception)`
  Prepare a simulated response to deleteRelease
  `void`
  `prepareGetArtifactListReportedInRelease(String sessionId, String releaseId, Object returnValue)`
  Prepare a simulated response to getArtifactListReportedInRelease
  `void`
  `prepareGetArtifactListReportedInRelease2(String sessionId, String releaseId, Object returnValue)`
  Prepare a simulated response to getArtifactListReportedInRelease2
  `void`
  `prepareGetArtifactListResolvedInRelease(String sessionId, String releaseId, Object returnValue)`
  Prepare a simulated response to getArtifactListResolvedInRelease
  `void`
  `prepareGetArtifactListResolvedInRelease2(String sessionId, String releaseId, Object returnValue)`
  Prepare a simulated response to getArtifactListResolvedInRelease2
  `void`
  `prepareGetFrsFileData(String sessionId, String frsFileId, Object returnValue)`
  Prepare a simulated response to getFrsFileData
  `void`
  `prepareGetFrsFileId(String sessionId, String frsFileId, Object returnValue)`
  Prepare a simulated response to getFrsFileId
  `void`
  `prepareGetFrsFileList(String sessionId, String releaseId, Object returnValue)`
  Prepare a simulated response to getFrsFileList
  `void`
  `prepareGetPackageData(String sessionId, String packageId, Object returnValue)`
  Prepare a simulated response to getPackageData
  `void`
  `prepareGetPackageList(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to getPackageList
  `void`
  `prepareGetReleaseData(String sessionId, String releaseId, Object returnValue)`
  Prepare a simulated response to getReleaseData
  `void`
  `prepareGetReleaseList(String sessionId, String packageId, Object returnValue)`
  Prepare a simulated response to getReleaseList
  `void`
  `prepareSetPackageData(String sessionId, PackageSoapDO packageData)`
  Prepare a simulated response to setPackageData
  `void`
  `prepareSetPackageData(String sessionId, PackageSoapDO packageData, Exception exception)`
  Prepare a simulated response to setPackageData
  `void`
  `prepareSetReleaseData(String sessionId, ReleaseSoapDO releaseData)`
  Prepare a simulated response to setReleaseData
  `void`
  `prepareSetReleaseData(String sessionId, ReleaseSoapDO releaseData, Exception exception)`
  Prepare a simulated response to setReleaseData
  `void`
  `setPackageData(String sessionId, PackageSoapDO packageData)`
  Simulate a call to setPackageData
  `void`
  `setReleaseData(String sessionId, ReleaseSoapDO releaseData)`
  Simulate a call to setReleaseData

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FrsAppSoapMockStub

    public FrsAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareCreatePackage

    public void prepareCreatePackage(String sessionId, String projectId, String title, String description, boolean isPublished, Object returnValue)
    Prepare a simulated response to createPackage
    See Also:
      - `FrsAppSoap.createPackage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

  - ### createPackage

    public PackageSoapDO createPackage(String sessionId, String projectId, String title, String description, boolean isPublished) throws RemoteException
    Simulate a call to createPackage
    Specified by:
      `createPackage` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The project id.
      `title` - Package title.
      `description` - Package description.
      `isPublished` - Whether the package should be published
    Returns:
      Newly created package object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.createPackage(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

  - ### prepareGetPackageList

    public void prepareGetPackageList(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to getPackageList
    See Also:
      - `FrsAppSoap.getPackageList(java.lang.String, java.lang.String)`

  - ### getPackageList

    public PackageSoapList getPackageList(String sessionId, String projectId) throws RemoteException
    Simulate a call to getPackageList
    Specified by:
      `getPackageList` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The project id.
    Returns:
      List of packages within the specified project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getPackageList(java.lang.String, java.lang.String)`

  - ### prepareGetPackageData

    public void prepareGetPackageData(String sessionId, String packageId, Object returnValue)
    Prepare a simulated response to getPackageData
    See Also:
      - `FrsAppSoap.getPackageData(java.lang.String, java.lang.String)`

  - ### getPackageData

    public PackageSoapDO getPackageData(String sessionId, String packageId) throws RemoteException
    Simulate a call to getPackageData
    Specified by:
      `getPackageData` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `packageId` - The package id.
    Returns:
      Package object data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getPackageData(java.lang.String, java.lang.String)`

  - ### prepareSetPackageData

    public void prepareSetPackageData(String sessionId, PackageSoapDO packageData)
    Prepare a simulated response to setPackageData
    See Also:
      - `FrsAppSoap.setPackageData(java.lang.String, com.collabnet.ce.soap60.webservices.frs.PackageSoapDO)`

  - ### prepareSetPackageData

    public void prepareSetPackageData(String sessionId, PackageSoapDO packageData, Exception exception)
    Prepare a simulated response to setPackageData
    See Also:
      - `FrsAppSoap.setPackageData(java.lang.String, com.collabnet.ce.soap60.webservices.frs.PackageSoapDO)`

  - ### setPackageData

    public void setPackageData(String sessionId, PackageSoapDO packageData) throws RemoteException
    Simulate a call to setPackageData
    Specified by:
      `setPackageData` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `packageData` - The package object to edit.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `VersionMismatchFault` - when package data is stale.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.setPackageData(java.lang.String, com.collabnet.ce.soap60.webservices.frs.PackageSoapDO)`

  - ### prepareDeletePackage

    public void prepareDeletePackage(String sessionId, String packageId)
    Prepare a simulated response to deletePackage
    See Also:
      - `FrsAppSoap.deletePackage(java.lang.String, java.lang.String)`

  - ### prepareDeletePackage

    public void prepareDeletePackage(String sessionId, String packageId, Exception exception)
    Prepare a simulated response to deletePackage
    See Also:
      - `FrsAppSoap.deletePackage(java.lang.String, java.lang.String)`

  - ### deletePackage

    public void deletePackage(String sessionId, String packageId) throws RemoteException
    Simulate a call to deletePackage
    Specified by:
      `deletePackage` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `packageId` - The package id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.deletePackage(java.lang.String, java.lang.String)`

  - ### prepareGetReleaseList

    public void prepareGetReleaseList(String sessionId, String packageId, Object returnValue)
    Prepare a simulated response to getReleaseList
    See Also:
      - `FrsAppSoap.getReleaseList(java.lang.String, java.lang.String)`

  - ### getReleaseList

    public ReleaseSoapList getReleaseList(String sessionId, String packageId) throws RemoteException
    Simulate a call to getReleaseList
    Specified by:
      `getReleaseList` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `packageId` - The package id.
    Returns:
      List of releases within the specified package.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getReleaseList(java.lang.String, java.lang.String)`

  - ### prepareCreateRelease

    public void prepareCreateRelease(String sessionId, String packageId, String title, String description, String status, String maturity, Object returnValue)
    Prepare a simulated response to createRelease
    See Also:
      - `FrsAppSoap.createRelease(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createRelease

    public ReleaseSoapDO createRelease(String sessionId, String packageId, String title, String description, String status, String maturity) throws RemoteException
    Simulate a call to createRelease
    Specified by:
      `createRelease` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `packageId` - The package id.
      `title` - Release title.
      `description` - Release description.
      `status` - Release status ("active", "pending", "obsolete")
      `maturity` - Maturity level ("Alpha", etc.)
    Returns:
      Newly created release object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.createRelease(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareDeleteRelease

    public void prepareDeleteRelease(String sessionId, String releaseId)
    Prepare a simulated response to deleteRelease
    See Also:
      - `FrsAppSoap.deleteRelease(java.lang.String, java.lang.String)`

  - ### prepareDeleteRelease

    public void prepareDeleteRelease(String sessionId, String releaseId, Exception exception)
    Prepare a simulated response to deleteRelease
    See Also:
      - `FrsAppSoap.deleteRelease(java.lang.String, java.lang.String)`

  - ### deleteRelease

    public void deleteRelease(String sessionId, String releaseId) throws RemoteException
    Simulate a call to deleteRelease
    Specified by:
      `deleteRelease` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.deleteRelease(java.lang.String, java.lang.String)`

  - ### prepareGetReleaseData

    public void prepareGetReleaseData(String sessionId, String releaseId, Object returnValue)
    Prepare a simulated response to getReleaseData
    See Also:
      - `FrsAppSoap.getReleaseData(java.lang.String, java.lang.String)`

  - ### getReleaseData

    public ReleaseSoapDO getReleaseData(String sessionId, String releaseId) throws RemoteException
    Simulate a call to getReleaseData
    Specified by:
      `getReleaseData` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
    Returns:
      Release data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getReleaseData(java.lang.String, java.lang.String)`

  - ### prepareSetReleaseData

    public void prepareSetReleaseData(String sessionId, ReleaseSoapDO releaseData)
    Prepare a simulated response to setReleaseData
    See Also:
      - `FrsAppSoap.setReleaseData(java.lang.String, com.collabnet.ce.soap60.webservices.frs.ReleaseSoapDO)`

  - ### prepareSetReleaseData

    public void prepareSetReleaseData(String sessionId, ReleaseSoapDO releaseData, Exception exception)
    Prepare a simulated response to setReleaseData
    See Also:
      - `FrsAppSoap.setReleaseData(java.lang.String, com.collabnet.ce.soap60.webservices.frs.ReleaseSoapDO)`

  - ### setReleaseData

    public void setReleaseData(String sessionId, ReleaseSoapDO releaseData) throws RemoteException
    Simulate a call to setReleaseData
    Specified by:
      `setReleaseData` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseData` - The release object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `VersionMismatchFault` - when package data is stale.
      `IllegalArgumentFault` - when release data is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.setReleaseData(java.lang.String, com.collabnet.ce.soap60.webservices.frs.ReleaseSoapDO)`

  - ### prepareCreateFrsFile

    public void prepareCreateFrsFile(String sessionId, String releaseId, String fileName, String mimeType, String fileId, Object returnValue)
    Prepare a simulated response to createFrsFile
    See Also:
      - `FrsAppSoap.createFrsFile(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createFrsFile

    public FrsFileSoapDO createFrsFile(String sessionId, String releaseId, String fileName, String mimeType, String fileId) throws RemoteException
    Simulate a call to createFrsFile
    Specified by:
      `createFrsFile` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
      `fileName` - Name of the attached file.
      `mimeType` - File mime type.
      `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
    Returns:
      Newly created frs file object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.createFrsFile(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetFrsFileData

    public void prepareGetFrsFileData(String sessionId, String frsFileId, Object returnValue)
    Prepare a simulated response to getFrsFileData
    See Also:
      - `FrsAppSoap.getFrsFileData(java.lang.String, java.lang.String)`

  - ### getFrsFileData

    public FrsFileSoapDO getFrsFileData(String sessionId, String frsFileId) throws RemoteException
    Simulate a call to getFrsFileData
    Specified by:
      `getFrsFileData` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `frsFileId` - FRS file id of the object to retrieve.
    Returns:
      the FRS file data.
    Throws:
      `InvalidSessionFault` - when SOAP session id is invalid.
      `NoSuchObjectFault` - when frsFileId does not exist.
      `PermissionDeniedFault` - when permissions are insufficient.
      `SystemFault` - when an unexpected error occurs.
      `IllegalArgumentFault` - when an argument is invalid.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getFrsFileData(java.lang.String, java.lang.String)`

  - ### prepareGetFrsFileList

    public void prepareGetFrsFileList(String sessionId, String releaseId, Object returnValue)
    Prepare a simulated response to getFrsFileList
    See Also:
      - `FrsAppSoap.getFrsFileList(java.lang.String, java.lang.String)`

  - ### getFrsFileList

    public FrsFileSoapList getFrsFileList(String sessionId, String releaseId) throws RemoteException
    Simulate a call to getFrsFileList
    Specified by:
      `getFrsFileList` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
    Returns:
      List of files within the specified release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getFrsFileList(java.lang.String, java.lang.String)`

  - ### prepareDeleteFrsFile

    public void prepareDeleteFrsFile(String sessionId, String frsFileId)
    Prepare a simulated response to deleteFrsFile
    See Also:
      - `FrsAppSoap.deleteFrsFile(java.lang.String, java.lang.String)`

  - ### prepareDeleteFrsFile

    public void prepareDeleteFrsFile(String sessionId, String frsFileId, Exception exception)
    Prepare a simulated response to deleteFrsFile
    See Also:
      - `FrsAppSoap.deleteFrsFile(java.lang.String, java.lang.String)`

  - ### deleteFrsFile

    public void deleteFrsFile(String sessionId, String frsFileId) throws RemoteException
    Simulate a call to deleteFrsFile
    Specified by:
      `deleteFrsFile` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `frsFileId` - The frs file id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.deleteFrsFile(java.lang.String, java.lang.String)`

  - ### prepareGetFrsFileId

    public void prepareGetFrsFileId(String sessionId, String frsFileId, Object returnValue)
    Prepare a simulated response to getFrsFileId
    See Also:
      - `FrsAppSoap.getFrsFileId(java.lang.String, java.lang.String)`

  - ### getFrsFileId

    public String getFrsFileId(String sessionId, String frsFileId) throws RemoteException
    Simulate a call to getFrsFileId
    Specified by:
      `getFrsFileId` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `frsFileId` - FRS File id.
    Returns:
      File storage id (for download using FileStorageService or SimpleFileStorageService).
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `PermissionDeniedFault` - when permission is denied for the specified operation.
      `NoSuchObjectFault` - when the specified object is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getFrsFileId(java.lang.String, java.lang.String)`

  - ### createFrsFile2

    public FrsFile2SoapDO createFrsFile2(String sessionId, String releaseId, String fileName, String mimeType, String fileId) throws RemoteException
    Simulate a call to createFrsFile2
    Specified by:
      `createFrsFile2` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
      `fileName` - Name of the attached file.
      `mimeType` - File mime type.
      `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
    Returns:
      Newly created frs file object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.createFrsFile2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### getFrsFileData2

    public FrsFile2SoapDO getFrsFileData2(String sessionId, String frsFileId) throws RemoteException
    Simulate a call to getFrsFileData2
    Specified by:
      `getFrsFileData2` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `frsFileId` - FRS file id of the object to retrieve.
    Returns:
      the FRS file data.
    Throws:
      `InvalidSessionFault` - when SOAP session id is invalid.
      `NoSuchObjectFault` - when frsFileId does not exist.
      `PermissionDeniedFault` - when permissions are insufficient.
      `SystemFault` - when an unexpected error occurs.
      `IllegalArgumentFault` - when an argument is invalid.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getFrsFileData2(java.lang.String, java.lang.String)`

  - ### getFrsFileList2

    public FrsFile2SoapList getFrsFileList2(String sessionId, String releaseId) throws RemoteException
    Simulate a call to getFrsFileList2
    Specified by:
      `getFrsFileList2` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The release id.
    Returns:
      List of files within the specified release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getFrsFileList2(java.lang.String, java.lang.String)`

  - ### prepareGetArtifactListReportedInRelease

    public void prepareGetArtifactListReportedInRelease(String sessionId, String releaseId, Object returnValue)
    Prepare a simulated response to getArtifactListReportedInRelease
    See Also:
      - `FrsAppSoap.getArtifactListReportedInRelease(java.lang.String, java.lang.String)`

  - ### getArtifactListReportedInRelease

    public ArtifactSoapList getArtifactListReportedInRelease(String sessionId, String releaseId) throws RemoteException
    Simulate a call to getArtifactListReportedInRelease
    Specified by:
      `getArtifactListReportedInRelease` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The id of the release
    Returns:
      List of the artifacts reported in the given release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getArtifactListReportedInRelease(java.lang.String, java.lang.String)`

  - ### prepareGetArtifactListReportedInRelease2

    public void prepareGetArtifactListReportedInRelease2(String sessionId, String releaseId, Object returnValue)
    Prepare a simulated response to getArtifactListReportedInRelease2
    See Also:
      - `FrsAppSoap.getArtifactListReportedInRelease2(java.lang.String, java.lang.String)`

  - ### getArtifactListReportedInRelease2

    public Artifact2SoapList getArtifactListReportedInRelease2(String sessionId, String releaseId) throws RemoteException
    Simulate a call to getArtifactListReportedInRelease2
    Specified by:
      `getArtifactListReportedInRelease2` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The id of the release
    Returns:
      List of the artifacts reported in the given release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getArtifactListReportedInRelease2(java.lang.String, java.lang.String)`

  - ### prepareGetArtifactListResolvedInRelease

    public void prepareGetArtifactListResolvedInRelease(String sessionId, String releaseId, Object returnValue)
    Prepare a simulated response to getArtifactListResolvedInRelease
    See Also:
      - `FrsAppSoap.getArtifactListResolvedInRelease(java.lang.String, java.lang.String)`

  - ### getArtifactListResolvedInRelease

    public ArtifactSoapList getArtifactListResolvedInRelease(String sessionId, String releaseId) throws RemoteException
    Simulate a call to getArtifactListResolvedInRelease
    Specified by:
      `getArtifactListResolvedInRelease` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The id of the release
    Returns:
      List of the artifacts resolved in the given release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getArtifactListResolvedInRelease(java.lang.String, java.lang.String)`

  - ### prepareGetArtifactListResolvedInRelease2

    public void prepareGetArtifactListResolvedInRelease2(String sessionId, String releaseId, Object returnValue)
    Prepare a simulated response to getArtifactListResolvedInRelease2
    See Also:
      - `FrsAppSoap.getArtifactListResolvedInRelease2(java.lang.String, java.lang.String)`

  - ### getArtifactListResolvedInRelease2

    public Artifact2SoapList getArtifactListResolvedInRelease2(String sessionId, String releaseId) throws RemoteException
    Simulate a call to getArtifactListResolvedInRelease2
    Specified by:
      `getArtifactListResolvedInRelease2` in interface `IFrsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `releaseId` - The id of the release
    Returns:
      List of the artifacts resolved in the given release.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `FrsAppSoap.getArtifactListResolvedInRelease2(java.lang.String, java.lang.String)`